Extending Qt Creator Manual | VirtualFolderNode

Extending Qt Creator Manual 4.5.2

# VirtualFolderNode Class

(ProjectExplorer::VirtualFolderNode)

Header: | #include <VirtualFolderNode>
Inherits: | ProjectExplorer::FolderNode

- List of all members, including inherited members

## Public Functions

| VirtualFolderNode(const Utils::FileName &folderPath, int priority, const QByteArray &id = {})
void | setAddFileFilter(const QString &filter)

## Reimplemented Public Functions

virtual QString | addFileFilter() const override

- 34 public functions inherited from ProjectExplorer::FolderNode
- 27 public functions inherited from ProjectExplorer::Node

### Additional Inherited Members

- 3 static public members inherited from ProjectExplorer::Node
- 2 protected functions inherited from ProjectExplorer::Node

## Detailed Description

In-memory presentation of a virtual folder. Note that the node itself + all children (files and folders) are "managed" by the owning project. A virtual folder does not correspond to a actual folder on the file system. See for example the sources, headers and forms folder the QmakeProjectManager creates VirtualFolderNodes are always sorted before FolderNodes and are sorted according to their priority.

See also ProjectExplorer::FileNode and ProjectExplorer::ProjectNode.

## Member Function Documentation

### VirtualFolderNode::VirtualFolderNode(const Utils::FileName &folderPath, int priority, const QByteArray &id = {})

Default constructs an instance of VirtualFolderNode.

### `[override virtual]` QString VirtualFolderNode::addFileFilter() const

See also setAddFileFilter().

### void VirtualFolderNode::setAddFileFilter(const QString &filter)

See also addFileFilter().